local myname="ZifnabsMerchant"
local Me=CreateFrame("Frame",myname)
if not ZifnabsMod then ZifnabsMod={merchant=Me} else ZifnabsMod.merchant=Me end
local mod
local L
local db

local widget={}
local lastitem=nil

-- --------------------------------------------------------------------------------------
-- INITIALIZE
-- --------------------------------------------------------------------------------------
function Me:Initialize(fwinfo)
	mod=fwinfo.mod
	L=fwinfo.L
	db=fwinfo.db
end
function Me:PostInit()
	widget.priceinfo=mod.ui:addText(myname.."_Price",150,16,GameTooltip,"TOPLEFT","BOTTOMLEFT",0,0,11,"LEFT")
--  deactivated because using other addon	
--	mod.core:Register4Event("ONUPDATE","merchant",Me.OnUpdate)
end

function Me:OnUpdate(elapsed)
	local item,link = GameTooltip:GetItem();
	if not item then 
		widget.priceinfo:SetText("")
	elseif item~=lastitem then
		lastitem=item
		local n,l,r,l,ml,t,st,c,el,t,copper=GetItemInfo(item)
		local addline=L.msg.noprice
		if (copper or 0)>0 then addline=L.word.priceperitem..": "..GetMoneyString(copper) end
		widget.priceinfo:SetText(addline)
	end
end